Std Group

From FreeCAD Documentation
Revision as of 15:16, 16 December 2019 by Gnrc (talk | contribs) (Marked this version for translation)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎한국어
Arrow-left.svg Previous: Std Part.png Part

Std Group.svg Std Group

Menu location
Tree View → Right click on the document name
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Draft SelectGroup, Draft AddToGroup

Description

This command lets you create a group in the tree view. It can be used for organizing the structure of your model.

Use

  1. Right-click on the name of your FreeCAD document in the tree-view and choose Create group.
  2. A group will be created automatically and give the icon of a directory and an automatically chosen name.
  3. You can rename the group by right-clicking on the group and choosing Rename or pressing F2 on your keyboard.
  4. Push FreeCAD objects into the group or pull them out of the group by dragging and dropping the desired objects

Group with objects.png

Properties

  • DataLabel: Name of the group

Inheritance

A Std Group is formally an instance of the class App::DocumentObjectGroup, whose parent is the basic App DocumentObject (App::DocumentObject class).

FreeCAD core objects.svg

Simplified diagram of the relationships between the core objects in the program. The App::DocumentObjectGroup class is a simple group that just points to other objects.

Scripting

Following command adds new group to the active document:

App.ActiveDocument.addObject("App::DocumentObjectGroup","Group")

Links

Arrow-left.svg Previous: Std Part.png Part